# Class Modifiers

java.lang.Object
bsh.Modifiers

All Implemented Interfaces:
  `Serializable`

public class Modifiers extends Object implements Serializable

Author:
  Pat Niemeyer (pat@pat.net)
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CLASS`
`static final int`
`FIELD`
`static final int`
`METHOD`

## Constructor Summary

Constructors
Constructor
Description
`Modifiers()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addModifier(int context, String name)`
`boolean`
`hasModifier(String name)`
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### CLASS

public static final int CLASS

See Also:
  - Constant Field Values

### METHOD

public static final int METHOD

See Also:
  - Constant Field Values

### FIELD

public static final int FIELD

See Also:
  - Constant Field Values

## Constructor Details

### Modifiers

public Modifiers()

## Method Details

### addModifier

public void addModifier(int context, String name)

Parameters:
  `context` - is METHOD or FIELD

### hasModifier

public boolean hasModifier(String name)

### toString

public String toString()

Overrides:
  `toString` in class `Object`